# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.1m from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Copyright (C) 1991, 1993, 1994, 1996 Free Software Foundation, Inc.

# This file is part of the GNU MP Library.

# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.

# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
# License for more details.

# You should have received a copy of the GNU Library General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp

top_builddir = .

ACLOCAL = /GNU/src/ssh-1.2.22/gmp-2.0.2-ssh-2/missing aclocal
AUTOCONF = /GNU/src/ssh-1.2.22/gmp-2.0.2-ssh-2/missing autoconf
AUTOMAKE = /GNU/src/ssh-1.2.22/gmp-2.0.2-ssh-2/missing automake
AUTOHEADER = /GNU/src/ssh-1.2.22/gmp-2.0.2-ssh-2/missing autoheader

INSTALL = /GNU/CYGNUS/H-I386~1/BIN/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,
host_alias = i386-unknown-cygwin32
host_triplet = 
CC = gcc
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
MPN_DISTCLEANFILES =   inlines.c add_n.c addmul_1.c cmp.c divmod_1.c divrem.c divrem_1.c dump.c lshift.c mod_1.c mul.c mul_1.c mul_n.c random2.c rshift.c sqrtrem.c sub_n.c submul_1.c get_str.c set_str.c scan0.c scan1.c popcount.c hamdist.c gcd_1.c pre_mod_1.c perfsqr.c bdivmod.c gcd.c gcdext.c gmp-mparam.h asm-syntax.h conftest.c
MPN_OBJS =   inlines.o add_n.o addmul_1.o cmp.o divmod_1.o divrem.o divrem_1.o dump.o lshift.o mod_1.o mul.o mul_1.o mul_n.o random2.o rshift.o sqrtrem.o sub_n.o submul_1.o get_str.o set_str.o scan0.o scan1.o popcount.o hamdist.o gcd_1.o pre_mod_1.o perfsqr.o bdivmod.o gcd.o gcdext.o
PACKAGE = gmp
RANLIB = ranlib
SFLAGS = 
VERSION = 2.0.2-ssh-2

AUTOMAKE_OPTIONS = 1.0 foreign dist-zip no-dependencies

SUBDIRS = mpn mpz mpf mpq mpbsd demos

lib_LIBRARIES = libgmp.a libmp.a
info_TEXINFOS = gmp.texi
include_HEADERS = gmp.h mp.h
noinst_HEADERS = gmp-impl.h longlong.h stack-alloc.h urandom.h

libgmp_a_SOURCES = memory.c mp_set_fns.c mp_clz_tab.c version.c stack-alloc.c \
  mp_bpl.c extract-double.c insert-double.c
libgmp_a_LIBADD = 

libmp_a_SOURCES = memory.c mp_set_fns.c mp_clz_tab.c version.c stack-alloc.c \
  mp_bpl.c extract-double.c insert-double.c

EXTRA_DIST = PROJECTS SPEED cre-mparam.c make.bat config.h.in acconfig.h

INCLUDES = -I. -I$(srcdir) -Impn -I$(srcdir)/mpn

ASMDIRS = a29k alpha clipper cray generic hppa i960 m68k m88k mips2 mips3 \
  msdos ns32k power powerpc32 powerpc64 pyr sh sparc32 sparc64 vax \
  x86 z8000 z8000x
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(lib_LIBRARIES)


DEFS =  -DPACKAGE=\"gmp\" -DVERSION=\"2.0.2-ssh-2\" -DSTDC_HEADERS=1 -DHAVE_RANDOM=1 -DSIZEOF_INT=4 -DHAVE_ALLOCA=1 -DC_UNDERSCORE=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS = 
LIBS = 
libgmp_a_DEPENDENCIES =  
libgmp_a_OBJECTS =  memory.o mp_set_fns.o mp_clz_tab.o version.o \
stack-alloc.o mp_bpl.o extract-double.o insert-double.o
libmp_a_LIBADD = 
libmp_a_OBJECTS =  memory.o mp_set_fns.o mp_clz_tab.o version.o \
stack-alloc.o mp_bpl.o extract-double.o insert-double.o
AR = ar
CFLAGS = -g -O2 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(LDFLAGS) -o $@
MAKEINFO = makeinfo
TEXI2DVI = texi2dvi
INFO_DEPS = gmp.info
DVIS = gmp.dvi
TEXINFOS = gmp.texi
HEADERS =  $(include_HEADERS) $(noinst_HEADERS)

DIST_COMMON =  README COPYING.LIB ChangeLog INSTALL Makefile.am \
Makefile.in NEWS aclocal.m4 config.guess config.sub configure \
configure.in install-sh missing mkinstalldirs random.c texinfo.tex


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(libgmp_a_SOURCES) $(libmp_a_SOURCES)
OBJECTS = $(libgmp_a_OBJECTS) $(libmp_a_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o .texi .texinfo .info .dvi .ps
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(srcdir)/aclocal.m4:  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-libLIBRARIES:

clean-libLIBRARIES:
	test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)

distclean-libLIBRARIES:

maintainer-clean-libLIBRARIES:

install-libLIBRARIES: $(lib_LIBRARIES)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(libdir)
	list="$(lib_LIBRARIES)"; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(libdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(libdir)/$$p; \
	  else :; fi; \
	done
	$(POST_INSTALL)
	@list="$(lib_LIBRARIES)"; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(RANLIB) $(libdir)/$$p"; \
	    $(RANLIB) $(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLIBRARIES:
	list="$(lib_LIBRARIES)"; for p in $$list; do \
	  rm -f $(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

gmp.info: gmp.texi
gmp.dvi: gmp.texi


DVIPS = dvips

.texi.info:
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texi.dvi:
	TEXINPUTS=$(srcdir):$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.texi:
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo.info:
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo:
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo.dvi:
	TEXINPUTS=$(srcdir):$$TEXINPUTS $(TEXI2DVI) $<
.dvi.ps:
	$(DVIPS) $< -o $@

install-info-am: $(INFO_DEPS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(infodir)
	@for file in $(INFO_DEPS); do \
	  for ifile in `cd $(srcdir) && echo $$file $$file-[0-9] $$file-[0-9][0-9]`; do \
	    if test -f $(srcdir)/$$ifile; then \
	      echo " $(INSTALL_DATA) $(srcdir)/$$ifile $(infodir)/$$ifile"; \
	      $(INSTALL_DATA) $(srcdir)/$$ifile $(infodir)/$$ifile; \
	    else : ; fi; \
	  done; \
	done
	$(POST_INSTALL)
	@if $(SHELL) -c 'install-info --version' >/dev/null 2>&1; then \
	  for file in $(INFO_DEPS); do \
	    echo " install-info --info-dir=$(infodir) $(infodir)/$$file";\
	    install-info --info-dir=$(infodir) $(infodir)/$$file; :;\
	  done; \
	else : ; fi

uninstall-info:
	if $(SHELL) -c 'install-info --version' >/dev/null 2>&1; then \
	  ii=yes; \
	else ii=; fi; \
	for file in $(INFO_DEPS); do \
	  (cd $(infodir) && rm -f $$file $$file-[0-9] $$file-[0-9][0-9]); \
	  test -z $ii || install-info --info-dir=$(infodir) --remove $$file; \
	done

dist-info: $(INFO_DEPS)
	for base in $(INFO_DEPS); do \
	  d=$(srcdir); \
	  for file in `cd $$d && eval echo $$base*`; do \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file; \
	  done; \
	done

mostlyclean-info:
	rm -f gmp.aux gmp.cp gmp.cps gmp.dvi gmp.fn gmp.fns gmp.ky gmp.log \
	  gmp.pg gmp.toc gmp.tp gmp.tps gmp.vr gmp.vrs gmp.op gmp.tr \
	  gmp.cv

clean-info:

distclean-info:

maintainer-clean-info:
	for i in $(INFO_DEPS); do rm -f `eval echo $$i*`; done

install-includeHEADERS: $(include_HEADERS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(includedir)
	@list="$(include_HEADERS)"; for p in $$list; do \
	  echo " $(INSTALL_DATA) $(srcdir)/$$p $(includedir)/$$p"; \
	  $(INSTALL_DATA) $(srcdir)/$$p $(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	list="$(include_HEADERS)"; for p in $$list; do \
	  rm -f $(includedir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive \
mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@for subdir in $(SUBDIRS); do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list="$(SUBDIRS)"; for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	list="$(SUBDIRS)"; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
dist-zip: distdir
	-chmod -R a+r $(distdir)
	rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
distdir: $(DISTFILES)
	rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 755 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do		\
	  test -d $(distdir)/$$subdir		\
	  || mkdir $(distdir)/$$subdir		\
	  || exit 1;				\
	  chmod 755 $(distdir)/$$subdir;	\
	  (cd $$subdir && $(MAKE) distdir=../$(distdir)/$$subdir distdir) \
	    || exit 1; \
	done
	$(MAKE) distdir="$(distdir)" dist-info
	$(MAKE) distdir="$(distdir)" dist-hook
info: $(INFO_DEPS) info-recursive
dvi: $(DVIS) dvi-recursive
check: all-am
	$(MAKE) check-recursive
installcheck: installcheck-recursive
all-am: $(INFO_DEPS) $(LIBRARIES) $(HEADERS) Makefile

install-exec-am: install-libLIBRARIES

install-data-am: install-info-am install-includeHEADERS

uninstall-am: uninstall-libLIBRARIES uninstall-info uninstall-includeHEADERS

install-exec: install-exec-recursive install-exec-am
	$(NORMAL_INSTALL)

install-data: install-data-recursive install-data-am
	$(NORMAL_INSTALL)

install: install-recursive install-exec-am install-data-am
	@:

uninstall: uninstall-recursive uninstall-am

all: all-recursive all-am

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs: installdirs-recursive
	$(mkinstalldirs)  $(libdir) $(infodir) $(includedir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-libLIBRARIES mostlyclean-compile \
		mostlyclean-info mostlyclean-tags mostlyclean-generic

clean-am:  clean-libLIBRARIES clean-compile clean-info clean-tags \
		clean-generic mostlyclean-am

distclean-am:  distclean-libLIBRARIES distclean-compile distclean-info \
		distclean-tags distclean-generic clean-am

maintainer-clean-am:  maintainer-clean-libLIBRARIES \
		maintainer-clean-compile maintainer-clean-info \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am

mostlyclean:  mostlyclean-recursive mostlyclean-am

clean:  clean-recursive clean-am

distclean:  distclean-recursive distclean-am
	rm -f config.status

maintainer-clean:  maintainer-clean-recursive maintainer-clean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f config.status

.PHONY: default mostlyclean-libLIBRARIES distclean-libLIBRARIES \
clean-libLIBRARIES maintainer-clean-libLIBRARIES uninstall-libLIBRARIES \
install-libLIBRARIES mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile install-info-am uninstall-info \
mostlyclean-info distclean-info clean-info maintainer-clean-info \
uninstall-includeHEADERS install-includeHEADERS install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck all-am install-exec-am install-data-am uninstall-am \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


libgmp.a: $(libgmp_a_OBJECTS) $(libgmp_a_LIBADD) all-recursive
	-rm -rf tmpdirgmp
	-mkdir tmpdirgmp
	for i in mpn mpz mpf mpq; \
	  do \
	    mkdir tmpdirgmp/$$i; \
	    ( cd tmpdirgmp/$$i; $(AR) x ../../$$i/lib$$i.a ); \
	  done
	cd tmpdirgmp; for i in */*.o; do mv $$i `echo $$i | sed 's@/@_@g'`;done
	cp $(libgmp_a_OBJECTS) $(libgmp_a_LIBADD) tmpdirgmp
	cd tmpdirgmp; $(AR) cru $@ *.o
	$(RANLIB) tmpdirgmp/$@
	-rm -f $@
	mv tmpdirgmp/$@ .
	-rm -rf tmpdirgmp

# There appear to be strange problems with ar and parallel makes; I've added
# dummy depend on libgmp.a here to serialize these.
libmp.a: $(libmp_a_OBJECTS) $(libmp_a_LIBADD) all-recursive libgmp.a
	-rm -rf tmpdirmp
	-mkdir tmpdirmp
	for i in mpn mpbsd; \
	  do \
	    mkdir tmpdirmp/$$i; \
	    ( cd tmpdirmp/$$i; $(AR) x ../../$$i/lib$$i.a ); \
	  done
	cp $(libmp_a_OBJECTS) $(libmp_a_LIBADD) tmpdirmp
	cd tmpdirmp; for i in */*.o; do mv $$i `echo $$i | sed 's@/@_@g'`; done
	cd tmpdirmp; $(AR) cru $@ *.o
	$(RANLIB) tmpdirmp/$@
	-rm -f $@
	mv tmpdirmp/$@ .
	-rm -rf tmpdirmp

# Copy assembly directories into the distribution.
dist-hook:
	for dir in $(ASMDIRS); do                     \
	  (cd $(srcdir)/mpn && tar cf - $$dir) |      \
             (cd $(distdir)/mpn && tar xpf -);        \
	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
